Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## datechooser.beans.editor.descriptor
Class CustomCellAppearanceDescriptor

    java.lang.Object
      datechooser.beans.editor.descriptor.ClassDescriptor
          datechooser.beans.editor.descriptor.CustomCellAppearanceDescriptor

    public class CustomCellAppearanceDescriptor

extends ClassDescriptor

Since:
  1.0
Author:
  Androsov Vadim
See Also:
  `DescriptionManager`, `ClassDescriptor`, `CustomCellAppearance`

Field Summary

Fields inherited from class datechooser.beans.editor.descriptor.ClassDescriptor
`NEW_LINE_SEPARATOR, ONE_LINE_SEPARATOR`

Constructor Summary
`CustomCellAppearanceDescriptor()`

Method Summary
`java.lang.Class` | `getDescriptedClass()` Class of descripting object.
`java.lang.String` | `getDescription(java.lang.Object value)` Describes object for output.
`java.lang.String` | `getJavaDescription(java.lang.Object value)` Java initialization code.

Methods inherited from class datechooser.beans.editor.descriptor.ClassDescriptor
`canProcessNull, getClassName, getDescription, getSeparator, isNewLineParameters, setNewLineParameters`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CustomCellAppearanceDescriptor

    public CustomCellAppearanceDescriptor()

Method Detail

### getDescriptedClass

    public java.lang.Class getDescriptedClass()

  Description copied from class: `ClassDescriptor`
  Class of descripting object.
  Класс описываемого объекта.

  Specified by:
    `getDescriptedClass` in class `ClassDescriptor`

### getJavaDescription

    public java.lang.String getJavaDescription(java.lang.Object value)

  Description copied from class: `ClassDescriptor`
  Java initialization code.
  Возвращает код инициализации на Java.

  Specified by:
    `getJavaDescription` in class `ClassDescriptor`

### getDescription

    public java.lang.String getDescription(java.lang.Object value)

  Description copied from class: `ClassDescriptor`
  Describes object for output.
  Возвращает описание объекта для вывода на экран.

  Specified by:
    `getDescription` in class `ClassDescriptor`
  See Also:
    `ClassDescriptor.getDescription(Object, Locale)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD